<?php 
include'conex_sql_server.php';
	$recreo=mysql_query("select * from  tabla_factura_xls_2  ORDER BY id DESC ",$link);
	$ver_recreo=mysql_fetch_array($recreo);	
	$contador=$ver_recreo['n_factura'];
	if($contador==''){
		$contador='00018884';
	}
	if($contador!=''){
		$contador=str_pad($contador, 8, "0", STR_PAD_LEFT);
	}
	//echo $contador;
		//mysql_query("TRUNCATE TABLE tabla_factura_xls_2",$link);
		$cuerpo_fact = sqlsrv_query($conn,"SELECT * FROM SAITEMFAC where NumeroD>='$contador' and TipoFac='A' ");
		while( $row_cuerpo = sqlsrv_fetch_array($cuerpo_fact, SQLSRV_FETCH_ASSOC)){
			$NumeroDx=$row_cuerpo['NumeroD'];
			$cabecera_fact = sqlsrv_query($conn,"SELECT * FROM SAFACT where NumeroD='$NumeroDx' and TipoFac='A'  ");
			$row = sqlsrv_fetch_array($cabecera_fact, SQLSRV_FETCH_ASSOC);
			$Cantidad=$row_cuerpo['Cantidad'];
			$NumeroD=$row['NumeroD'];
			$cod_producto=$row_cuerpo['CodItem'];
			$Descrip_producto=preg_replace('([^A-Za-z0-9])',' ',$row_cuerpo['Descrip1']);
			$cliente=preg_replace('([^A-Za-z0-9])',' ',$row['Descrip']);
			$Date = $row_cuerpo['FechaE']->format('Y-m-d');
			$TipoFac=$row_cuerpo['TipoFac'];
			$ONroLinea=$row_cuerpo['ONroLinea'];
			$Monto=$row['Monto'];
				$v_recreo=mysql_query("select * from  tabla_factura_xls_2  where cod_cliente='".$row['CodClie']."' and n_factura='".$NumeroD."' and fecha_factura='".$Date."' and cod_producto='".$cod_producto."' and ONroLinea='".$ONroLinea."' ",$link);
				$ver_recreo_v=mysql_fetch_array($v_recreo);
				$control_v=$ver_recreo_v['id'];	
					// $row['TipoFac'].'-'.$row['NumeroD'].'-'.$row['CodClie'].'-'.$row['Descrip'].' - '.$Date.'     -  <b>PESO: </b>  '.$Cantidad.'<br>';
					if($control_v==''){
						mysql_query("INSERT INTO tabla_factura_xls_2 (cod_cliente,descripcion,tipo_documento,n_factura,fecha_factura,cod_producto,Descrip_producto,peso_factura,ONroLinea,Monto) VALUES	('".$row['CodClie']."','".$cliente."','".$TipoFac."','".$NumeroD."','".$Date."','".$cod_producto."','".$Descrip_producto."','".$Cantidad."','".$ONroLinea."','".$Monto."')",$link);
						//echo "INSERT INTO tabla_factura_xls_2 (cod_cliente,descripcion,tipo_documento,n_factura,fecha_factura,cod_producto,Descrip_producto,peso_factura) VALUES	('".$row['CodClie']."','".$row['Descrip']."','".$TipoFac."','".$NumeroD."','".$Date."','".$cod_producto."','".$Descrip_producto."','".$Cantidad."')";
					}
}
?>